# patch

## Overview

This endpoint is used for updating information about a dataset's tables.

## HTTP Request

```http
PATCH /api/v1/tables/:tableReference
```

## Path parameters

| Parameter      |                                                                                                                      |
| -------------- | -------------------------------------------------------------------------------------------------------------------- |
| tableReference | A qualified reference to the table. See [referencing resources](/api/referencing-resources.md) for more information. |

{% hint style="info" %}
This endpoint extends the [general API structure](/api/rest-api/general-structure.md)
{% endhint %}

## Request body

Provide a JSON object with information about the table.

| Property name           | Type       | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| ----------------------- | ---------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **name**                | **string** | The name of the table. Must be unique (non-word characters ignored) within the version of the dataset.                                                                                                                                                                                                                                                                                                                                                                                                    |
| **uploadMergeStrategy** | **string** | <p>How to handle subsequent uploads after the first version. Defaults to "replace". Must be one of:</p><ul><li><strong>append</strong> - Uploads in future versions will append to the previous version of the table.</li><li><strong>replace</strong> - Uploads in future versions will replace all data from the previous version of the table.</li></ul><p><strong>Important:</strong> the uploadMergeStrategy may only be modified on tables corresponding to an unreleased version of a dataset.</p> |
| **description**         | **string** | A description of the table, limited to 5000 characters.                                                                                                                                                                                                                                                                                                                                                                                                                                                   |

## Authorization

Edit access to the corresponding dataset is required. Your access token must have the following scope:

* data.edit

[Learn more about authorization.](/api/rest-api/authorization.md)

## Response body

Returns the JSON-encoded "get" representation of a[ table resource](/api/resource-definitions/table.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/rest-api/tables/patch.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
